import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:vdialog/vdialog.dart';

class Example extends StatefulWidget {
  @override
  _ExampleState createState() => _ExampleState();
}

class _ExampleState extends State<Example> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: RaisedButton(
          child: Text("show dialog"),
          onPressed: showVDialog,
        ),
      ),
    );
  }

  void showVDialog() {
    showDialog(
      barrierDismissible: false,
      context: context,
      builder: (BuildContext ctx) => CustomDialog(
        title: "Error",
        buttonOne: this._buttonOne,
        buttonTwo: this._buttonTwo,
        buttonOneText: "retry",
        buttonTwoText: "close",
        content: "server not found!!",
        showButtonOne: true,
        showButtonTwo: true,
      ),
    );
  }

  void loadData() {
    //this is data function!
  }

  void _buttonOne() {
    loadData();
  }

  void _buttonTwo() {
    //this will close app
    SystemNavigator.pop();
  }
}
